package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;
import java.util.List;

/**
 * 对应数据库表(organization):
 */
public class Organization {

	/**  */
	private Integer id;
	
	/** 机构名称 */
	@ApiModelProperty(value = "机构名称",required = false)
	private String name;

	/** 机构名称 */
	@ApiModelProperty(value = "区域名称",required = false)
	private String areaName;
	
	/** 区域编码 */
	@ApiModelProperty(value = "区域编码",required = false)
	private Integer areaId;
	
	/** 创建时间 */
	private Date createTime;
	
	/** 修改时间 */
	private Date updateTime;
	
	/** 是否删除  -1：已删除  0：正常 */
	@ApiModelProperty(value = "是否删除  1：已删除  0：正常",required = false)
	private YesOrNoEnum delFlag;

	@ApiModelProperty(value = "成立日期",required = false)
	private Date registerDate;

	@ApiModelProperty(value = "联系人",required = false)
	private String linkman;

	@ApiModelProperty(value = "联系方式",required = false)
	private String mobile;

	@ApiModelProperty(value = "地址",required = false)
	private String address;

	@ApiModelProperty(value = "子节点列表",required = false)
	private List<Organization> organizations;

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public List<Organization> getOrganizations() {
		return organizations;
	}

	public void setOrganizations(List<Organization> organizations) {
		this.organizations = organizations;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public Integer getAreaId() {
		return areaId;
	}

	public void setAreaId(Integer areaId) {
		this.areaId = areaId;
	}

	public Date getRegisterDate() {
		return registerDate;
	}

	public void setRegisterDate(Date registerDate) {
		this.registerDate = registerDate;
	}

	public String getLinkman() {
		return linkman;
	}

	public void setLinkman(String linkman) {
		this.linkman = linkman;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
